#include <bits/stdc++.h>
#include "vision.h"
using namespace std;

vector<int> getVisionPattern1d(){
    return {1, 2, 3, 1};
}

int getMove1d(vector<int> v){
    int x = v.size() / 2;
    if(x == 1){
        if(v[0] == 3 || v[2] == 3){
            if(v[0] == 1) return 0;
            return 2;
        }
        if(v[0] == 2) return 0;
        return 2;
    }
    if(x == 2){
        for(int i = 0; i < 5; i++){
            if(v[i] == 3) return i;
        }
    }
    if(v[0] == 2) return 0;
    return 6;
}

vector<vector<int>> getVisionPattern2d(){
    return {{0}};
}

pair<int, int> getMove2d(std::vector<std::vector<int>> v){
    return {0, 0};
}

